PUT api/Pilots/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
Pilot| Name | Description | Type | Additional information |
|---|---|---|---|
| pilotId | globally unique identifier |
None. |
|
| name | string |
None. |
|
| pilotTypeId | globally unique identifier |
None. |
|
| phone | string |
None. |
|
| isLicenseGimel | boolean |
None. |
|
| isLicenseRT | boolean |
None. |
|
| createdDate | date |
None. |
|
| PilotType | PilotType |
None. |
Request Formats
application/json, text/json
Sample:
{
"pilotId": "311561bf-b7b8-4ffc-ad65-58fac206b680",
"name": "sample string 2",
"pilotTypeId": "61716c42-0ad1-4590-a43c-eec31da1506c",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:44:27.2488507+00:00",
"PilotType": {
"pilotTypeId": "96e3a1a9-d1e6-49a3-885a-2c0e239f0650",
"name": "sample string 2"
}
}
text/html
Sample:
{"pilotId":"311561bf-b7b8-4ffc-ad65-58fac206b680","name":"sample string 2","pilotTypeId":"61716c42-0ad1-4590-a43c-eec31da1506c","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:44:27.2488507+00:00","PilotType":{"pilotTypeId":"96e3a1a9-d1e6-49a3-885a-2c0e239f0650","name":"sample string 2"}}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.